package com.smppw.utils;

import org.apache.commons.lang3.StringUtils;

/**
 * 证件号码处理的工具类
 */
public class CardIdUtil {

    /**
     * 身份证号码脱敏，将第4-14位用*代替
     *
     * @return
     */
    public static String identityCardIdDesensitization(String str) {
        if (StringUtils.isEmpty(str)) {
            return str;
        }

        if (str.length() != 18) {
            return str;
        }

        return str.substring(0, 3) + "***********" + str.substring(14, 18);
    }
}
